### Function

# Gio File new_for_commandline_arg

#### Declaration

    GFile*
    g_file_new_for_commandline_arg (
      const char* arg
    )

#### Description

Creates a `GFile` with the given argument from the command line. The value of `arg` can be either a URI, an absolute path or a relative path resolved relative to the current working directory. This operation never fails, but the returned object might not support any I/O operation if `arg` points to a malformed path.

Note that on Windows, this function expects its argument to be in UTF-8 — not the system code page. This means that you should not use this function with string from argv as it is passed to main(). `g_win32_get_command_line()` will return a UTF-8 version of the commandline. `GApplication` also uses UTF-8 but `g_application_command_line_create_file_for_arg()` may be more useful for you there. It is also always possible to use this function with `GOptionContext` arguments of type `G_OPTION_ARG_FILENAME`.

#### Parameters

`arg`

  Type: `const char*`

  A command line string.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `GFile`

A new `GFile`. Free the returned object with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.